Package twisted :: Package words :: Module service :: Class Group

[show private | hide private]
[frames | no frames]

## Class Group

    Versioned --+
                |
               Group

This class represents a group of people engaged in a chat session with one another.

Method Summary
| `__init__(self, name)`
| `__getstate__(self)`
| `__repr__(self)`
| `__setstate__(self, state)` (inherited from `Versioned`)
| `addMember(self, participant)`
| `removeMember(self, participant)`
| `sendMessage(self, sender, message, metadata)`
| `setMetadata(self, dict_)`
| `upgradeToVersion1(self)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Instance Variable Summary
`list` | `members` - The members of the group
`dictionary` | `metadata` - Metadata that describes the group.
`string` | `name` - The name of the group

Class Variable Summary
`int` | `persistenceVersion`

Instance Variable Details

### members

The members of the group

  Type:
    `list`

### metadata

Metadata that describes the group. Common keys are:

- `'topic'`: The topic string for the group.
- `'topic_author'`: The name of the user who last set the topic.

  Type:
    `dictionary`

### name

The name of the group

  Type:
    `string`

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:18:24 2003 | http://epydoc.sf.net